{ config, lib, pkgs, ... }:

let
  inherit (lib) mkIf;

  cfg = config.pepe.core.graphics;
in
{
  options.pepe.core.graphics = with lib; {
    enable = mkEnableOption "Enable graphics";
    nvidia = mkEnableOption "Enable nvidia graphics";
  };

  config = mkIf cfg.enable {
    hardware.opengl = {
      enable = true;
      extraPackages = with pkgs; mkIf cfg.nvidia [ vaapiVdpau ];
    };
  };
}

